/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct UpdateOutgoingWebhookRequest {
    /// Outgoing webhook GUID
    #[serde(rename = "id")]
    pub id: String,
    /// The ID of a public channel or private group that receives the webhook payloads.
    #[serde(rename = "channel_id")]
    pub channel_id: String,
    /// The display name for this incoming webhook
    #[serde(rename = "display_name")]
    pub display_name: String,
    /// The description for this incoming webhook
    #[serde(rename = "description")]
    pub description: String,
}

impl UpdateOutgoingWebhookRequest {
    pub fn new(
        id: String,
        channel_id: String,
        display_name: String,
        description: String,
    ) -> UpdateOutgoingWebhookRequest {
        UpdateOutgoingWebhookRequest {
            id,
            channel_id,
            display_name,
            description,
        }
    }
}
